CONFIGCTL(8)

NAME
configctl - Backend daemon configuration utility

SYNOPSIS
configctl [-deq] [-m ‘command ...’] [-t threshold] [-w wait] [command ...]

DESCRIPTION
The configctl utility will dispatch backend commands to the configuration daemon. The command ‘configd actions’ will return a list of all available actions to perform.

The options are as follows:

-d  Detach the execution of the command and return immediately.

-e  Use as event handler to execute command on receiving input.

-m ‘command ...’
    Execute multiple commands specified by multiple uses of this option.

-q  Run quietly by muting standard output.

-t threshold
    Wait specified amount of threshold seconds between events to execute commands to combine input into single events. The option accepts floating point numbers.

-w wait
    Wait specified amount of wait seconds for socket to become available. The option accepts integer numbers. The default is not to wait for the socket.

FILES

/var/run/configd.socket
    The socket used to connect to the daemon.

EXIT STATUS

AUTHORS
Schellevis <ad@opnsense.org>